geany-plugins-1.29-1pclos2016.x86_64.rpm


Advertisement

Description

geany-plugins - A collection of different plugins for Geany

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name geany-plugins
Package version 1.29
Package release 1pclos2016
Package architecture x86_64
Package type rpm
Installed size 6.41 MB
Download size 6.41 MB
Official Mirror ftp.nluug.nl
Geany-Plugins is a collection of different plugins for Geany,
a lightweight IDE. It provides a common location for plugin authors
and users with a known infrastructure and support. List of included
plugins:
- Addons: Collection of small addons for geany
- Codenav: make it possible to
- switch between header and implementation
- go to a file by typing its name
- Geanydoc: allow executing specified commands on the
current word at the cursor position
- Geanyextreasel: The Extra Selection adds several selection
enhancements to geany
- Geanygdb: integrated debugging support within Geany via
the GNU Debugger (GDB).
- Geanyinsertnum: replaces a (possibly zero-width) rectangular selection
with integer numbers, using start/step/base etc.
specified by the user.
- Geanylatex: GeanyLaTeX is a plugin for Geany IDE to improve work
with LaTeX.
- Geanylipsum: implements a Lorem Ipsum generator to insert
placeholder text into your document
- Geanyprj: alternative project manager for Geany fast light IDE
- Geanysendmail: send a document as attachment using the preferred
mail client from inside Geany
- Geanyvc: provides a uniform way of accessing the different
version-control systems inside Geany IDE.
- ShiftColumn: allows you to move blocks of text horizontally
- Spellcheck: checks the content of the current document in Geany
with the spell check library Enchant
- Treebrowser

Alternatives

Package Version Architecture Repository
geany-plugins - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libcairo.so.2()(64bit) -
libenchant.so.1()(64bit) -
libgconf-2.so.4()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgeany.so.0()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgpgme.so.11()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libgtkspell.so.0()(64bit) -
liblua.so.5.1()(64bit) -
libpango-1.0.so.0()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpython2.7.so.1.0()(64bit) -
libsoup-2.4.so.1()(64bit) -
libutil.so.1()(64bit) -
libutil.so.1(GLIBC_2.2.5)(64bit) -
libvte.so.9()(64bit) -
libwebkitgtk-1.0.so.0()(64bit) -
libwnck-1.so.22()(64bit) -
libxml2.so.2()(64bit) -
libz.so.1()(64bit) -
lua -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH) -

Provides

Name Value
addons.so()(64bit) -
autoclose.so()(64bit) -
automark.so()(64bit) -
codenav.so()(64bit) -
commander.so()(64bit) -
debugger.so()(64bit) -
defineformat.so()(64bit) -
devhelp.so()(64bit) -
geany-plugins = 1.29-1pclos2016
geany-plugins(x86-64) = 1.29-1pclos2016
geanyctags.so()(64bit) -
geanydoc.so()(64bit) -
geanyextrasel.so()(64bit) -
geanyinsertnum.so()(64bit) -
geanylatex.so()(64bit) -
geanylua.so()(64bit) -
geanymacro.so()(64bit) -
geanyminiscript.so()(64bit) -
geanynumberedbookmarks.so()(64bit) -
geanypg.so()(64bit) -
geanyprj.so()(64bit) -
geanypy.so()(64bit) -
geanyvc.so()(64bit) -
geniuspaste.so()(64bit) -
libgeanylua.so()(64bit) -
lineoperations.so()(64bit) -
lipsum.so()(64bit) -
markdown.so()(64bit) -
multiterm.so()(64bit) -
overview.so()(64bit) -
pairtaghighlighter.so()(64bit) -
pohelper.so()(64bit) -
pretty-printer.so()(64bit) -
projectorganizer.so()(64bit) -
scope.so()(64bit) -
sendmail.so()(64bit) -
shiftcolumn.so()(64bit) -
spellcheck.so()(64bit) -
tableconvert.so()(64bit) -
treebrowser.so()(64bit) -
updatechecker.so()(64bit) -
webhelper.so()(64bit) -
xmlsnippets.so()(64bit) -

Download

Type URL
Binary Package geany-plugins-1.29-1pclos2016.x86_64.rpm
Source Package geany-plugins-1.29-1pclos2016.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
    
  2. Update the package index:
    # apt-get update
  3. Install geany-plugins rpm package:
    # apt-get install geany-plugins

See Also

Package Description
geary-0.11.3-1pclos2017.x86_64.rpm A lightweight email program designed around conversations
gecrit-2.8.3-2pclos2013.noarch.rpm gEcrit is a Python orientated source code editor
geda-1.8.2-1pclos2014.x86_64.rpm GPL Electronic Design Automation Project
geda-docs-1.8.2-1pclos2014.x86_64.rpm Doc for the gEDA project
gedit-3.10.4-1pclos2015.x86_64.rpm Small but powerful text editor
gedit-devel-3.10.4-1pclos2015.x86_64.rpm Headers for writing gEdit plugins
gedit-doc-3.10.4-1pclos2015.x86_64.rpm Documetation for gedit
geeqie-1.1-2pclos2013.x86_64.rpm Graphics file browser utility
gegl-0.3.10-1pclos2016.x86_64.rpm GEGL (Generic Graphics Library) - graph based image processing framework
gegl-doc-0.3.10-1pclos2016.noarch.rpm Headerdateien für gegl
gelemental-1.2.0-1pclos2015.x86_64.rpm Periodic Table Viewer
gelemental-devel-1.2.0-1pclos2015.x86_64.rpm Development files for gElemetal
genders-1.18-2pclos2013.x86_64.rpm Static cluster configuration database
genders-compat-1.18-2pclos2013.x86_64.rpm Compatability library
geoclue-2.4.3-1pclos2016.x86_64.rpm A modular geoinformation service
Advertisement
Advertisement